Upstream information

CVE-2016-9586 at MITRE

Description

curl before version 7.52.0 is vulnerable to a buffer overflow when doing a large floating point output in libcurl's implementation of the printf() functions. If there are any application that accepts a format string from the outside without necessary input filtering, it could allow remote attacks.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 1.2
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:L/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Medium High
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.1
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1015332 [RESOLVED], 1016653 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-609
SUSE Linux Enterprise Desktop 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-609
SUSE Linux Enterprise Desktop 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-609
SUSE Linux Enterprise Desktop 12 SP3
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA curl
SUSE Linux Enterprise Module for Basesystem 15
  • curl >= 7.60.0-1.1
  • libcurl-devel >= 7.60.0-1.1
  • libcurl4 >= 7.60.0-1.1
  • libcurl4-32bit >= 7.60.0-1.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA curl
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Server 11 SP4
  • curl >= 7.19.7-1.70.3.1
  • libcurl4 >= 7.19.7-1.70.3.1
  • libcurl4-32bit >= 7.19.7-1.70.3.1
  • libcurl4-x86 >= 7.19.7-1.70.3.1
Patchnames:
slessp4-curl-13065
slessp4-curl-13256
SUSE Linux Enterprise Server 11-SECURITY
  • curl-openssl1 >= 7.19.7-1.70.3.1
  • libcurl4-openssl1 >= 7.19.7-1.70.3.1
  • libcurl4-openssl1-32bit >= 7.19.7-1.70.3.1
  • libcurl4-openssl1-x86 >= 7.19.7-1.70.3.1
Patchnames:
secsp3-curl-13065
secsp3-curl-13256
SUSE Linux Enterprise Server 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-609
SUSE Linux Enterprise Server 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-609
SUSE Linux Enterprise Server 12 SP3
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA curl
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-609
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • curl >= 7.19.7-1.70.3.1
  • libcurl4 >= 7.19.7-1.70.3.1
  • libcurl4-32bit >= 7.19.7-1.70.3.1
  • libcurl4-x86 >= 7.19.7-1.70.3.1
Patchnames:
slessp4-curl-13065
slessp4-curl-13256
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • curl-openssl1 >= 7.19.7-1.70.3.1
  • libcurl4-openssl1 >= 7.19.7-1.70.3.1
  • libcurl4-openssl1-32bit >= 7.19.7-1.70.3.1
  • libcurl4-openssl1-x86 >= 7.19.7-1.70.3.1
Patchnames:
secsp3-curl-13065
secsp3-curl-13256
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-609
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-609
SUSE Linux Enterprise Software Development Kit 11 SP4
  • curl >= 7.19.7-1.70.3.1
  • libcurl-devel >= 7.19.7-1.70.3.1
Patchnames:
sdksp4-curl-13065
sdksp4-curl-13256
SUSE Linux Enterprise Software Development Kit 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-609
SUSE Linux Enterprise Software Development Kit 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-609
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libcurl-devel
SUSE Studio Onsite 1.3
  • curl >= 7.19.7-1.20.52.2
  • libcurl-devel >= 7.19.7-1.20.52.2
Patchnames:
slestso13-curl-13075
openSUSE Leap 15.0
  • curl >= 7.59.0-lp150.1.1
  • libcurl4 >= 7.59.0-lp150.1.1
  • libcurl4-32bit >= 7.59.0-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA curl
openSUSE Leap 42.1
  • curl >= 7.37.0-19.1
  • curl-debuginfo >= 7.37.0-19.1
  • curl-debugsource >= 7.37.0-19.1
  • libcurl-devel >= 7.37.0-19.1
  • libcurl-devel-32bit >= 7.37.0-19.1
  • libcurl4 >= 7.37.0-19.1
  • libcurl4-32bit >= 7.37.0-19.1
  • libcurl4-debuginfo >= 7.37.0-19.1
  • libcurl4-debuginfo-32bit >= 7.37.0-19.1
Patchnames:
openSUSE-2017-513
openSUSE Leap 42.2
  • curl >= 7.37.0-16.3.1
  • curl-debuginfo >= 7.37.0-16.3.1
  • curl-debugsource >= 7.37.0-16.3.1
  • libcurl-devel >= 7.37.0-16.3.1
  • libcurl-devel-32bit >= 7.37.0-16.3.1
  • libcurl4 >= 7.37.0-16.3.1
  • libcurl4-32bit >= 7.37.0-16.3.1
  • libcurl4-debuginfo >= 7.37.0-16.3.1
  • libcurl4-debuginfo-32bit >= 7.37.0-16.3.1
Patchnames:
openSUSE-2017-513
openSUSE Leap 42.3
  • curl >= 7.37.0-18.5
  • libcurl-devel >= 7.37.0-18.5
  • libcurl4 >= 7.37.0-18.5
Patchnames:
openSUSE Leap 42.3 GA curl


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 curl Released
SUSE Linux Enterprise Desktop 12 SP1 curl Released
SUSE Linux Enterprise Desktop 12 SP2 curl Released
SUSE Linux Enterprise SDK 11 SP4 curl Released
SUSE Linux Enterprise SDK 12 SP1 curl Released
SUSE Linux Enterprise SDK 12 SP2 curl Released
SUSE Linux Enterprise Server 11 SP4 curl Released
SUSE Linux Enterprise Server 12 SP1 curl Released
SUSE Linux Enterprise Server 12 SP2 curl Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI curl Released
SUSE Studio Onsite 1.3 curl Released